upgrading openstack-dashboard does not upgrade novaclient

Bug #1737692 reported by Tobias Urdin on 2017-12-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Low
Unassigned
Ocata
Low
Unassigned
horizon (Ubuntu)
Low
Unassigned

Bug Description

Upgrading to horizon packages for Ocata xenial cloud-archive did not upgrade the python-novaclient dependency so it needed to be upgraded manually

deb http://ubuntu-cloud.archive.canonical.com/ubuntu xenial-updates/ocata main

openstack-dashboard 3:11.0.4-0ubuntu1~cloud0 all Django web interface for OpenStack
ii python-django-horizon 3:11.0.4-0ubuntu1~cloud0 all Django module providing web based interaction with OpenStack

resolved with: apt-get install --only-upgrade python-novaclient

package that was upgraded to:
ii python-novaclient 2:7.1.0-0ubuntu1~cloud0 all client library for OpenStack Compute API - Python 2.7

James Page (james-page) wrote :

Versioned depends is:

python-novaclient (>= 2:2.29.0)

but it should be:

python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0

James Page (james-page) wrote :

This is fixed in Queens and Pike.

Changed in cloud-archive:
status: New → Fix Released
importance: Undecided → Low
Changed in horizon (Ubuntu):
status: New → Fix Released
importance: Undecided → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers